Page MenuHomePhabricator

Validation error against schema UploadWizardFlowEvent: Unrecognized property: quantity
Closed, ResolvedPublic

Description

I am getting a failed schema validation error while trying to upload a 100+ MiB WebM file to Commons using the UploadWizard.

The error message is: "Validation error against schema UploadWizardFlowEvent: Unrecognized property: quantity".

This happens with chunked uploads enabled (since it's a file bigger than 100 MiB), both with and without the HHVM beta feature.

I am using Iceweasel 31.2.0 on Debian Wheezy, but the same thing happened when I tried using the newest stable version of Google Chrome before (38.0.2125.104-1) and encountered the same issue.

I have successfully managed to upload multiple 100+ WebM videos before, most recently at the end of September.


Version: unspecified
Severity: minor

Details

Reference
bz72360

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:56 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz72360.
bzimport added a subscriber: Unknown Object (MLST).
tomasz created this task.Oct 22 2014, 2:56 PM
Tgr added a comment.Oct 22 2014, 3:03 PM

This is an EventLogging warning that does not cause any disruption in the functionality of UW (other than breaking the logging). If the upload failed, there must be another, independent bug.

The inability to upload was probably #60821

gerritadmin wrote:

Change 168563 had a related patch set uploaded by Gilles:
Points upload events to the right schema

https://gerrit.wikimedia.org/r/168563

gerritadmin wrote:

Change 168563 merged by jenkins-bot:
Points upload events to the right schema

https://gerrit.wikimedia.org/r/168563

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

We've fixed the JS error mentioned in the title that was unrelated to the actual bug. But we still don't know why that WebM file fails to upload. It would be useful if the reporter is still affected to provide us the problematic file so that we can try to reproduce the issue.

I can no longer reproduce the problem, and believe that the bug can now be closed as RESOLVED FIXED. Many thanks for your work, Gilles & Mark & others.

You're welcome!

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:28 AM